Package org.apache.commons.math3.analysis.interpolation

# Class MicrosphereInterpolatingFunction

java.lang.Object
org.apache.commons.math3.analysis.interpolation.MicrosphereInterpolatingFunction

All Implemented Interfaces:
  `MultivariateFunction`

@Deprecated public class MicrosphereInterpolatingFunction extends Object implements MultivariateFunction
Deprecated.
Code will be removed in 4.0. Use `InterpolatingMicrosphere` and `MicrosphereProjectionInterpolator` instead.
Interpolating function that implements the Microsphere Projection.

## Constructor Summary

Constructors
Constructor
Description
`MicrosphereInterpolatingFunction(double[][] xval, double[] yval, int brightnessExponent, int microsphereElements, UnitSphereRandomVectorGenerator rand)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`double`
`value(double[] point)`
Deprecated.
Compute the value for the function at the given point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MicrosphereInterpolatingFunction

public MicrosphereInterpolatingFunction(double[][] xval, double[] yval, int brightnessExponent, int microsphereElements, UnitSphereRandomVectorGenerator rand) throws DimensionMismatchException, NoDataException, NullArgumentException
Deprecated.

Parameters:
  `xval` - Arguments for the interpolation points. `xval[i][0]` is the first component of interpolation point `i`, `xval[i][1]` is the second component, and so on until `xval[i][d-1]`, the last component of that interpolation point (where `dimension` is thus the dimension of the sampled space).
  `yval` - Values for the interpolation points.
  `brightnessExponent` - Brightness dimming factor.
  `microsphereElements` - Number of surface elements of the microsphere.
  `rand` - Unit vector generator for creating the microsphere.
Throws:
  `DimensionMismatchException` - if the lengths of `yval` and `xval` (equal to `n`, the number of interpolation points) do not match, or the the arrays `xval[0]` ... `xval[n]`, have lengths different from `dimension`.
  `NoDataException` - if there an array has zero-length.
  `NullArgumentException` - if an argument is `null`.

## Method Details

### value

public double value(double[] point) throws DimensionMismatchException
Deprecated.
Description copied from interface: `MultivariateFunction`
Compute the value for the function at the given point.

Specified by:
  `value` in interface `MultivariateFunction`
Parameters:
  `point` - Interpolation point.
Returns:
  the interpolated value.
Throws:
  `DimensionMismatchException` - if point dimension does not math sample